<!DOCTYPE html>

<html>
<head>
<title>Practice</title>  
<!--
<script type = "text/javascript">
    bucky = {name:"Bucky Roberts",age: "24"};
    taylor = {name:"Adele", age: "20"};
</script>
-->

    <script type = "text/javascript">
        function person(name, age)
        {
           this.name = name;
           this.age = age;
           this.yearsUntilRetire = yearsTilRetirement;
        }
        
        function yearsTilRetirement()
        {
            var numOfYears = 65 - this.age;
            return numOfYears;
        }
        
        var edrick = new person("Edrick G" , 20);
        var kei = new person("Kristin Kei", 21);
    </script>
</head>
<body>
<script type ="text/javascript">
//    
    document.write(edrick.name + " loves " + kei.name + "<br>");
    document.write("Years until retire " + kei.yearsUntilRetire());
</script>

</body>
</html>